#' Access data, meta data, and files from REDCap using the API
#'
#' REDCap is a database development tool built on MySQL.  Visit 
#' \url{https://projectredcap.org} for more information.  REDCap
#' provides an API through which data, the data dictionary, files, and
#' project information can be accessed.  The `redcapAPI` package 
#' facilitates the use of these functions and 
#' simplifies the work needed to prepare data for 
#' analysis.
#' 
#' The user should also refer to their institution's REDCap API 
#' documentation as a primary resource of what is available.  Different 
#' versions of REDCap support different features--the user's REDCap 
#' API documentation will address the features specific to their version 
#' of REDCap.
#' 
#' @name redcapAPI
#' @keywords internal

"_PACKAGE"
